Bug 827185 - Upgrading from udev-181 to udev-182 breaks the AMI KVM
Upgrading from udev-181 to udev-182 breaks the AMI KVM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
: 826303 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 16:31 EDT by Patrick Melo
Modified: 2013-08-01 08:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:56:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrick Melo 2012-05-31 16:31:57 EDT
Description of problem:
I installed Fedora-17-x86_64-Live-Desktop.iso and noticed that the KVM did not work.

I went to another machine running Fedora-17-Beta-x86_64-Live-Desktop.iso with all the latest updates and noticed that it was working but when I rebooted it I noticed that it stopped working. The machine had not been rebooted since the updates had been applied.

To isolate the source of the problem I installed a fresh version of Fedora-17-Beta-x86_64-Live-Desktop.iso on a new machine, updated just the udev package, rebooted and noticed that it stopped working.

The KVM is part of a remote management system built into the motherboard. This is a SuperMicro X8DTU-F.

Steps to Reproduce:
1. Install "Fedora-17-Beta-x86_64-Live-Desktop.iso".
2. Notice that the KVM works.
3. Run "yum update udev".
4. Run "shutdown -r now".
5. Notice that the KVM no longer works.  

Here is a list of the udev package BEFORE the update.
[root@server1 ~]# rpm -q libgudev1 libudev udev
libgudev1-181-2.fc17.x86_64
libudev-181-2.fc17.x86_64
udev-181-2.fc17.x86_64
[root@server1 ~]# 

Here is a list of the udev package AFTER the update.
[root@server1 ~]# rpm -q libgudev1 libudev udev
libgudev1-182-1.fc17.x86_64
libudev-182-1.fc17.x86_64
udev-182-1.fc17.x86_64
[root@server1 ~]# 

To work around the problem I downgraded the packages.

[root@server1 fc17]# rpm -e --nodeps libgudev1-182-1.fc17.x86_64 libudev-182-1.fc17.x86_64 udev-182-1.fc17.x86_64
[root@server1 fc17]# rpm -Uvh libgudev1-181-2.fc17.x86_64.rpm libudev-181-2.fc17.x86_64.rpm udev-181-2.fc17.x86_64.rpm
Preparing...                ########################################### [100%]
   1:udev                   ########################################### [ 33%]
   2:libudev                ########################################### [ 67%]
   3:libgudev1              ########################################### [100%]
[root@server1 fc17]# shutdown -r now
Comment 1 Patrick Melo 2012-05-31 16:32:58 EDT
*** Bug 826303 has been marked as a duplicate of this bug. ***
Comment 2 Patrick Melo 2012-05-31 16:53:28 EDT
I also use the following modified update to keep up to date on everything else.

[root@server4 ~]# yum --exclude=\*udev\* update
Comment 3 adam@omega.org.uk 2012-05-31 19:42:07 EDT
Confirming this on my KVM with F17 GM, will have to look up the model number tomorrow.

Looks like bug #827015 is also a duplicate and there is also #499751 from 4 months ago that has not been resolved.

Looks like it may be corrected by a package pushed to testing today:
https://admin.fedoraproject.org/updates/udev-182-3.fc17

If that is the case, it would link all these to #825284 (presumably, the regression would be caused by the change in release 182 that 'enable USB sutosuspend for some built-in HID devices'.

I'll try the testing package tomorrow and report my results.
Comment 4 Patrick Melo 2012-06-01 19:10:37 EDT
I downloaded and installed the packages from Bodhi. It broke the KVM again. I had to backrev to udev-181-2.fc17.

# rpm -U libgudev1-182-3.fc17.x86_64.rpm libudev-182-3.fc17.x86_64.rpm udev-182-3.fc17.x86_64.rpm

Also, to install the software on another machine I used the beta ISO since the release version comes with the misbehaving package and makes it impossible to use the KVM. Then I simply update using the yum exclude.
Comment 5 Fedora End Of Life 2013-07-04 00:11:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 08:56:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.